Debian Bug report logs - #9063
minor autoconf patch

Package: autoconf2.13; Maintainer for autoconf2.13 is Ben Pfaff <pfaffben@debian.org>; Source for autoconf2.13 is src:autoconf2.13.

Reported by: Klee Dienes <klee@mit.edu>

Date: Fri, 25 Apr 1997 00:18:02 UTC

Severity: normal

Done: Klee Dienes <klee@MIT.EDU>

Bug is archived. No further changes may be made.

Forwarded to 9063-forwarded@bugs.debian.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Ben Pfaff <pfaffben@pilot.msu.edu>:
Bug#9063; Package autoconf. Full text and rfc822 format available.

Acknowledgement sent to Klee Dienes <klee@mit.edu>:
New bug report received and forwarded. Copy sent to Ben Pfaff <pfaffben@pilot.msu.edu>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Klee Dienes <klee@mit.edu>
To: maintonly@bugs.debian.org
Subject: minor autoconf patch
Date: Thu, 24 Apr 1997 20:14:54 -0400
Package: autoconf
Version: 2.12-1

I've been trying to patch krb5 to use released versions of autoconf
and the various ss/db/et libraries instead of insisting on using its
own internal versions (my one big complaint about Athena software).

The following patch to autoconf (plus a few patches to krb5) allows
krb5 to be built (and re-autoconf) only using the stock autoconf.  I
don't know if they'll be interested upstream, but I'm sending it to
you just in case:

--- autoconf-2.12.orig/autoheader.sh
+++ autoconf-2.12/autoheader.sh
@@ -89,7 +89,11 @@
 fi
 
 TEMPLATES="${AC_MACRODIR}/acconfig.h"
-test -r $localdir/acconfig.h && TEMPLATES="${TEMPLATES} $localdir/acconfig.h"
+if [ -r ./acconfig.h ]; then 
+  TEMPLATES="${TEMPLATES} ./acconfig.h"
+elif [ -r $localdir/acconfig.h ]; then 
+  TEMPLATES="${TEMPLATES} $localdir/acconfig.h"
+fi
 
 case $# in
   0) infile=configure.in ;;


Reply sent to pfaffben@pilot.msu.edu:
You have marked bug as forwarded. Full text and rfc822 format available.

Message #8 received at 9063-forwarded@bugs.debian.org (full text, mbox):

From: pfaffben@pilot.msu.edu (Ben Pfaff)
To: 9063-forwarded@bugs.debian.org
Subject: Forwarded
Date: Mon, 5 May 1997 14:34:39 -0400 (EDT)
Forwarded to David MacKenzie.

-- 
Ben Pfaff <pfaffben@pilot.msu.edu> 12167 Airport Rd, DeWitt MI 48820, USA
*Note*: New PGP key available at http://www.msu.edu/user/pfaffben/pgp.html


Information forwarded to debian-bugs-dist@lists.debian.org, Ben Pfaff <pfaffben@pilot.msu.edu>:
Bug#9063; Package autoconf. Full text and rfc822 format available.

Acknowledgement sent to Christian Kurz <shorty@jupiter.rhein-neckar.de>:
Extra info received and forwarded to list. Copy sent to Ben Pfaff <pfaffben@pilot.msu.edu>. Full text and rfc822 format available.

Message #13 received at 9063@bugs.debian.org (full text, mbox):

From: Christian Kurz <shorty@jupiter.rhein-neckar.de>
To: 9063@bugs.debian.org
Subject: Re: Forwarded
Date: Thu, 1 Apr 1999 22:29:28 +0200
Hi,

as the last message of this bugreport is from May 1997, saying that the
bug has been forwarded and we have a new version of autoconf in potato,
I would like to know, if this bug is resolved now or what the current
status is.

Ciao
     Christian
-- 
If at first you don't succeed, destroy all evidence that you tried.
/* http://www.rhein-neckar.de/~jupiter/                Christian Kurz */



Information forwarded to debian-bugs-dist@lists.debian.org, Ben Pfaff <pfaffben@pilot.msu.edu>:
Bug#9063; Package autoconf. Full text and rfc822 format available.

Acknowledgement sent to pfaffben@pilot.msu.edu:
Extra info received and forwarded to list. Copy sent to Ben Pfaff <pfaffben@pilot.msu.edu>. Full text and rfc822 format available.

Message #18 received at 9063@bugs.debian.org (full text, mbox):

From: Ben Pfaff <pfaffben@pilot.msu.edu>
To: Christian Kurz <shorty@jupiter.rhein-neckar.de>, 9063@bugs.debian.org
Subject: Re: Bug#9063: Forwarded
Date: 15 May 1999 15:23:27 -0400
Christian Kurz <shorty@jupiter.rhein-neckar.de> writes:

   as the last message of this bugreport is from May 1997, saying that the
   bug has been forwarded and we have a new version of autoconf in potato,
   I would like to know, if this bug is resolved now or what the current
   status is.

I don't know whether it's been fixed, and it looks like it might be a
lot of trouble for me to find out.  If you find out that it's been
fixed, please close it or let me know so that I can close it.

Thanks,

Ben.


Information forwarded to debian-bugs-dist@lists.debian.org, Ben Pfaff <pfaffben@pilot.msu.edu>:
Bug#9063; Package autoconf. Full text and rfc822 format available.

Acknowledgement sent to pfaffben@msu.edu:
Extra info received and forwarded to list. Copy sent to Ben Pfaff <pfaffben@pilot.msu.edu>. Full text and rfc822 format available.

Message #23 received at 9063@bugs.debian.org (full text, mbox):

From: pfaffben@msu.edu (Ben Pfaff)
To: Klee Dienes <klee@mit.edu>
Cc: 9063@bugs.debian.org
Subject: Is this bug still present?
Date: Sat, 10 Jul 1999 14:27:49 -0400
Is this bug, in which the last message recorded is from May 1997,
still relevant?  If not, please let me know so that I can close it.

-- 
"Unix... is not so much a product
 as it is a painstakingly compiled oral history
 of the hacker subculture."
--Neal Stephenson


Bug reassigned from package `autoconf' to `autoconf2.13'. Request was from Ben Pfaff <pfaffben@msu.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ben Pfaff <pfaffben@debian.org>:
Bug#9063; Package autoconf2.13. (Mon, 07 Jan 2013 03:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Olly Betts <olly@survex.com>:
Extra info received and forwarded to list. Copy sent to Ben Pfaff <pfaffben@debian.org>. (Mon, 07 Jan 2013 03:39:06 GMT) Full text and rfc822 format available.

Message #30 received at 9063@bugs.debian.org (full text, mbox):

From: Olly Betts <olly@survex.com>
To: pfaffben@msu.edu, 9063@bugs.debian.org
Cc: Klee Dienes <klee@mit.edu>
Subject: Re: Bug#9063: Is this bug still present?
Date: Mon, 7 Jan 2013 16:27:34 +1300
[Message part 1 (text/plain, inline)]
On Sat, Jul 10, 1999 at 02:27:49PM -0400, Ben Pfaff wrote:
> Is this bug, in which the last message recorded is from May 1997,
> still relevant?  If not, please let me know so that I can close it.

The patch hasn't been applied by upstream, but in newer autoconf releases,
autoheader (now rewritten in Perl) supports command line options to allow
you to add entries to the search path.  If you run recent autoheader with
"--prepend-include=." then it should find acconfig.h in the current
directory, which is apparently what the patch aims to accomplish.

Looking at the krb5 package, src/configure in 1.10.1+dfsg-3 has:

    # Generated by GNU Autoconf 2.67 for Kerberos 5 1.10.1.

And debian/patches/0010-autoreconf.patch suggests that's been regenerated
by the debian maintainer, and upstream used 2.65, so it looks like krb no
longer needs a patched autoconf.

So it seems to me this bug should probably just be closed now.

Cheers,
    Olly
[signature.asc (application/pgp-signature, inline)]

Reply sent to Klee Dienes <klee@MIT.EDU>:
You have taken responsibility. (Mon, 07 Jan 2013 14:15:07 GMT) Full text and rfc822 format available.

Notification sent to Klee Dienes <klee@mit.edu>:
Bug acknowledged by developer. (Mon, 07 Jan 2013 14:15:07 GMT) Full text and rfc822 format available.

Message #35 received at 9063-done@bugs.debian.org (full text, mbox):

From: Klee Dienes <klee@MIT.EDU>
To: Olly Betts <olly@survex.com>
Cc: pfaffben@msu.edu, 9063-done@bugs.debian.org
Subject: Re: Bug#9063: Is this bug still present?
Date: Mon, 7 Jan 2013 09:12:58 -0500
[Message part 1 (text/plain, inline)]
Sounds like it was fixed long ago.  Hard to believe it's been 15 years since I filed that.  Thanks for the cleanup work!

On Jan 6, 2013, at 10:27 PM, Olly Betts <olly@survex.com> wrote:

> On Sat, Jul 10, 1999 at 02:27:49PM -0400, Ben Pfaff wrote:
>> Is this bug, in which the last message recorded is from May 1997,
>> still relevant?  If not, please let me know so that I can close it.
> 
> The patch hasn't been applied by upstream, but in newer autoconf releases,
> autoheader (now rewritten in Perl) supports command line options to allow
> you to add entries to the search path.  If you run recent autoheader with
> "--prepend-include=." then it should find acconfig.h in the current
> directory, which is apparently what the patch aims to accomplish.
> 
> Looking at the krb5 package, src/configure in 1.10.1+dfsg-3 has:
> 
>    # Generated by GNU Autoconf 2.67 for Kerberos 5 1.10.1.
> 
> And debian/patches/0010-autoreconf.patch suggests that's been regenerated
> by the debian maintainer, and upstream used 2.65, so it looks like krb no
> longer needs a patched autoconf.
> 
> So it seems to me this bug should probably just be closed now.
> 
> Cheers,
>    Olly

[smime.p7s (application/pkcs7-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Feb 2013 07:26:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:02:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.